2018-12-08
  Fixed:
   - twig: fix 'error' region
   - default: Added missing Subversion expansion keywords (AnrDaemon)

2018-12-07
  Fixed:
   - php: null is constant (AnrDaemon)
   - js: Template literal (d07RiV)

2018-12-06
  Fixed:
   - nix: minor fixes (volth)
   - php: remove stray BOM (AnrDaemon)
   - markdown: support fenced code blocks with language names (Roman Kuzmin)
  New:
   - CMake syntax (extrunder)
   - Groovy syntax (vlad-ro)   

2015-08-29
  Fixed:
   - Batch: heredoc highlighting (ildar-shaimordanov)

2015-05-05
  New:
   - Rust syntax (Max Galkin)

2015-11-04
  Fixed:
   - Lua: if then end" colorizing fixed (ildar-shaimordanov)
   - Sh: process redirection and few descriptive comments (ildar-shaimordanov)

2015-17-01
  Fixed:
   - python: Handle raw strings separately (techtonik)
   
2014-11-01
  Fixed:
   - Fortan: add file extension
   - Batch: minor improvement (ildar-shaimordanov)

2014-10-04
  Fixed:
   - D: Multiple fixes (Vladimir Panteleev)
   - Batch: Improve numeric parameter highlighting (Vladimir Panteleev)
            added more keywords to be hightlighted (ildar-shaimordanov)
            improve colorizing of :label, goto/call :label (ildar-shaimordanov) 
   - Shell: Fix highlighting of array length expressions (Vladimir Panteleev)
            Fix backtick expressions (fixup) (Vladimir Panteleev)
            improvements to heredoc (ildar-shaimordanov)
            added processing novaday brackets (( )) and [[ ]] (ildar-shaimordanov)
            improve var expansions: ${#...}, ${!...} (ildar-shaimordanov)
   - jscript: added more jsMethods for highlighting (ildar-shaimordanov)
              added support of important comments /status (ildar-shaimordanov)
   - python: update octal and binary literals for Python 2.6 (techtonik)

2014-01-17
  Fixed:
   - java: When a method throws more than one exception, it is not outlined.
           When a method declaration spans several lines, it is not always outlined.
           Sometimes, the same method is listed multiple times in the outline.
           Not all java number literals syntax is supported.
           Annotations and some newer keywords are not recognized.
           The suppoted syntax corresponds to J2SE ~1.2.
            etc.

2014-01-09
  New:
    - Kotlin syntax (Alexander Udalov)
  Fixed:
    - java: remove non-existing 'threadsafe' keyword;
            add 'assert' (new in 1.4), 'enum' (new in 5.0)

2014-01-08
  Fixed:
    - assa: fix some syntax error
    - default, text, lex : normalize interval

2014-01-02
  Fixed:
    - d: Multiple fixes (Vladimir Panteleev)
    - default: Fix highlighting of ISO dates in October (Vladimir Panteleev)
    - actionscript: Add generics (Vladimir Panteleev)
    - jscript: Add back null and undefined (Vladimir Panteleev)
    - powershell: update (Roman Kuzmin)

2013-12-10
  Fixed:
    - csharp: add interface in outlined (Aidar)
    - farhelp: fix page link (Aidar)
    - powershell: update

2013-11-13
  Fixed:
    - php: regexp modifiers changed

2013-10-22
  Fixed:
    - php: regexp modifiers "u" and "J" added

2013-10-08
  Fixed:
    - ActionScript: Property outliner, * in imports (Vladimir Panteleev)
    - jscript: Update reserved word list, returning regex test result (Vladimir Panteleev)
    - D: Enums in switch cases (Vladimir Panteleev)

2013-10-05
  New:
    - Diet (Vibe.d) syntax (Vladimir Panteleev)
    - MXML (Macromedia XML) syntax (Vladimir Panteleev)
  Fixed:
    - D - several fixes (Vladimir Panteleev)
    - MediaWiki - fix HTML attributes withut leading space (Vladimir Panteleev)
    - ActionScript - fix keyword list, add XML literals (Vladimir Panteleev)

2013-08-25
    - New: inline SVG in HTML support

2013-07-30
  Fixed:
    - js : entities in string content

2013-07-05 (07-22)
  Fixed:
    - js : js rexexp problem fixed, js methods added, some js recomposition

2013-06-30
  Fixed:
    - php : PDO class added (functions and constants); DocBlock small fix

2013-06-27
  Fixed:
    - makefile.hrc : Comment is not colored after include and in if-endif block 

2013-06-24
  New:
    - DocBlock support fo PHP-files

2013-05-18
  New:
    - Microsoft solution scheme
    - DirectShow constants in c++ scheme

2013-05-06
  New:
    - smarty scheme
  Fixed:
    - twig nested tags, twig numbers

2013-05-02
  New:
    - srt scheme (Eugene Myronchuk)
  Fixed:
    - lua strings: added \[abfnrtv] modifiers and \ddd digit modifiers
    - php: xsl extension keywords

2013-04-22
  New:
    - ASASM (ActionScript 3 assembler, RABCDAsm variant) from Vladimir Panteleev
    - MediaWiki syntax from Vladimir Panteleev
    - Major update to D scheme (Vladimir Panteleev)
  Fixed:
    - jscript:  added keywords (Vladimir Panteleev)
    - ActionScript: Fix/improve outlining, regexp/comments  (Vladimir Panteleev) 
 
2013-04-15
  Fixed:
    - d.hrc, ie-weidu/dialog.hrc, mako.hrc, ubasic.hrc, graphiz.hrc, reg.hrc, dtdcatalog.hrc - fix error in xml format
    - modula - fix error

2013-03-29
  Fixed:
    - c# - point in a method name (Roman Kuzmin)
    - less - new functions, some improvements
    - php  - constants
    - c - win32 constants

2013-03-13
  Fixed:
    - modula (Alexander Naumov)

2013-03-12
  Fixed:
    -  c++ - added constants for dll loading; 
           - added some constants and functions; 
           - added __declspec() directives

2013-03-02
  New:
    - Twig scheme
    - YAML scheme
  Fixed:
    -  SilverStripe comment scheme improvement

2013-21-02
  Fixed:
    - lua - errors processing (single closed brackets and "end" keyword);
            Sting edges, paired brackets changes;
            some more error handling;
    - wrong xml detection if files like *.html.*

2013-13-02
  New:
    - scheme for new macrolib+lua (lazyeugene)

2013-09-02
  Fixed:
    - SilverStripe - some fixes (lazyeugene)
    - css (lazyeugene)
    - php - проблемные места с endif/endfor/endwhile (lazyeugene)
    - js 

2013-07-02
  Fixed:
    - farmenu - environment variables
    - lua  - remove tab highlight

2013-29-01
  Fixed:
    - php - new words

2013-28-01
  Fixed:
    - warning in log for acapella
    - html, css, php, jscript - many changes (Небольшая реорганизация css и html схем. Добавлено множество тегов/аттрибутов/правил. Часть устаревших теперь deprecated. Добавлено множество слов в схему php, расширена раскраска строк (все парсятся как строки для printf-функций), добавлена урезанная поддержка меток в пхп и парных скобок : и endfor/endif/endforeach/endwhile/else (чтобы работало, необходимо, чтобы : шло непосредственно за зыкрывающей условие скобкой либо сразу за else. Немного добавлено в jscript-схему.)
	- Lua (Rakhmatullin A.I.)

2013-22-01
  Fixed:
    - a little c++11

2012-15-11
  Fixed:
    - pl1 - fix not escaped %
    - llvm, html-css, cobolfr - Added missing regions
    - update "quorum languages" (Vladimir Fonarev)

2012-10-08 r1876 (FarColorer 1.0.3.12)
  New:
    - powershell (Roman Kuzmin)
    - R (Roman Kuzmin)
    - Lemon Parser Generator (Aleksey Dobrunov)
    - json (Aliaksei Chapyzhenka)
    - LLVM IR (Aliaksei Chapyzhenka)
  Fixed:
    - sql - 'end' for case block; fixed qualified host variables
    - csharp - add struct in outlined; keyword 'var'; simple parse verbatim string
    - php - php 5.4 support: traits, binary numbers, some functions deprecation (lazyeugene)
    - less - some fixes (lazyeugene)
    - SilverStripe - some fixes (lazyeugene)
    - css - new keywords (lazyeugene)
    - cobol - many fixes (Pavel Pleva)
    - cobolfr - many fixes (Pavel Pleva)
    - jcl - many fixes (Pavel Pleva)
    - makefile- fixed comment after var definition (Pavel Pleva)
    - pl1 - many fixes (Pavel Pleva)
    - sh - fixed --eq  (Pavel Pleva)
    - graphviz - updated for Graphviz 2.28 (Roman Kuzmin)


2012-03-26 r1850 (FarColorer 1.0.3.10)
  New:
    - UniVision Basic (Pete Howell)
    - markdown (Roman Kuzmin)
    - squirrel
  Fixed:
    - matlab - try/catch support
    - postscript - add keyword
    - fix error in csharp, markdown, pl1, ubasic
    - c-win32.ent - add keyword, constants
    - c.hrc  - printf format string

2012-03-15 r1835 (FarColorer 1.0.3.9)
  New:
    - SHPAML (Eric Gustavson https://github.com/occulens/shpaml-colorer)
    - Less Css (lazyeugene)
    - SilverStripe (lazyeugene)
  Fixed:
    - Far MacroLib
    - Far.hrc - new in Far3
    - Html - pair tags, conditional comments (IE) , new tags and etc.  (lazyeugene)
    - CSS - new keywords (lazyeugene)
    - ASP - insertions  in the script tags  (lazyeugene)
    - php - new keywords, json, OAuth; function name and constants case insensitive  (lazyeugene)

2012-01-08 r1809 (FarColorer 1.0.3.7)
  New:
    - Go (Mikhail Kupchik)
    - Far MacroLib (Max Rusov)
  Fixed:
    - NowDoc in PHP
    - regexp
    - C++ function outline
    - far.hrc - new in Far3
    - vbasic and vbscript - fix outline
    - lua (Aidar, darkmist )
    - cobol.hrc: updated keywords list, removed import, color all keywords the same,
       allow string in single or double quotes (Pavel Pleva)
    - cobolfr.hrc: updated keywords list, removed import, color all keywords the same (Pavel Pleva)
    - pl1.hrc: added preprocessor comments, removed import, and other (Pavel Pleva)

2011-06-30 r1724 (FarColorer 1.0.3.3)
  Fixed:
    - Pascal - write characters with codes 0-31 in the format ^@, ^A, ^B (Igor Yudincev)
    - file type detection

2011-06-29 r1721 (FarColorer 1.0.3.2)
  Fixed:
    - add missing words for c, cpp, jscript, qmake, sql, vbscript, email (from HaRT)
    - add  C function outlining for C# (from Vladimir Panteleev)
    - major improvements to D syntax file (from Vladimir Panteleev)
    - minor fix proto.hrc (from Vladimir Panteleev)
    - Pascal - write characters with codes 0-31 in the format ^@, ^A, ^B (Igor Yudincev)
    - far.hrc - add support verbatim string; new functions
    - c.hrc - shows #include and #define in the outline list is closed by key
    - csharp.hrc - add support verbatim string;

2011-03-18 r1688 (FarColorer 1.0.3.1)
  New:
    - Python scheme completely rewritten (anatoly techtonik)
    - add support Expect
  Fixed:
    - remove .cgi from Perl extensions, use first line for detection
    - fix firstline of Python prototype to allow spaces in shebang
    - fix comments in Tcl ( Nikita Retunsky)
    - c# add #region/#endregion , get, set, yield

2010-10-25 r1593 (FarColorer 1.0.2.14)
  Fixed:
    - batch : label and a comment (::) can not start from the beginning of the line;
      escape symbol ^;
    - esc : add param "overload"

2010-10-20 r1585 (FarColorer 1.0.2.13)
  New:
    - Cue sheet
  Fixed:
    - batch : label begins with a digit; compound command echo
    - lua : removed from the outline cycles
    - cpp : removed from the outline function calls

2010-09-21 r1550 (FarColorer 1.0.2.9)
  Fixed:
    - Ruby : ruby string fixes
    - pl/sql : backslash escapes param for pl/sql

2010-07-15 r1530 (FarColorer 1.0.2.7)
  New:
    - Mako templates (Mikael Lepisto)
    - Scala
    - Acapella
  Fixed:
    - SASS keywords and improvements
    - Ruby : ruby custom RE syntax; ruby 1.9 style symbols
    - Haml
    - JCL : add support comments
    - Far macro
    - Reg empty hex value

2010-03-06 r1435 (FarColorer 1.0.2.5)
  New:
    - AirPlay SDK
    - SASS support and sass in haml support
    - JCL - Job Control Language
  Fixed:
    - Ruby minor updates
    - Diff : add new options for support git diff (Yuri Khan)
    - Text : add support pseudo-graphic
    - Reg minor updates
    - Makefile.hrc support nmake
    - Awk : scripts, +regexp
    - Far.hrc : +XML, +callplugin, +\ or \\ in registry, new macro functions and constants
    - C : Formatting lines and links to system variables in them, paired quotes for strings
    - HTML : add HTML5 tags

2010-02-04 r1299
(trunk changes merged into dev branch for FarColorer 1.0.2.4)
  Fixes:
    - HAML
    - Ruby
    - ERB
    - SubStation Alpha (assa)
    - makefile

2010-01-13 r1242
(trunk changes merged into dev branch for FarColorer 1.0.2.2)
  Fixes:
    - HAML
    - Ruby
    - C++ environment-variable fix
  New:
    - ASN.1/ECN notations
    - ERB - Rails HTML syntax
    - Lua
    - SCons scripts support (anatoly techtonik)

2009-12-23 r1178
(trunk changes merged into dev branch for FarColorer 1.0.2.1)
  Reorg:
    - Python, Ruby, Tcl/Tk are not "rare" anymore
  Fixes:
    - Ruby improvements
    - SH script highlighter is detected by shebang line
    - NSIS syntax updated to v2.39 (anatoly techtonik)
    - XQuery func param list
    - JavaDoc coloring error
    - Cobol enhancements (Pavel Pleva)
    - VBasic fixes for paired constructs
    - Updated OpenGL keywords (Mike Gorchak)
    - VB script highlighting
    - REG autodetection fix
    - Windows batch highlight errors
    - Forth fixes
    - Perl improvements
    - C/CPP i128 support, GNU Asm fixes
    - TeX verbatim mode improvements, etc
    - Foxpro (Vadim Zaharenko)
    - awk fixes
    - reg fixes
    - js
    - perl
    - xpath
    - far macros
    - config.hrc
  New:
    - HAML
    - CUP (Ostrovskiy Alex)
    - Stata (John Aponte)
    - Graphviz
    - nesC (Rasmus Ulslev Pedersen)
    - PL1 (Pavel Pleva)
    - D (Vladimir Panteleev)
    - git status, git diff
    - Qt C++, Qt make
    - j2ee
    - Web-app
    - Erlang

2006-11-27 r843 (FarColorer take5.be5)
  Reorg:
    - RTF syntax migrated from rare.scripts to scripts
  Fixes:
    - picasm improvements
    - Ruby fixes
    - lower ANT detection precendence
  New:
    - GNU Make Files Syntax (Eugene Efremov)
    - ANSI C standard library keywords (Eugene Efremov)
    - recognize Ruby Rakefiles
    - recognize CakePHP template


2006-06-20 r772
  Fixes:
    - Perl improvements
    - FAR packages fixes
  New:
    - No dependencies on php binaries when building HRC base
    - java policy simple syntax
    - 4mirror: xsieve, wsdl
    - AHDL syntax
    - Pnuts syntax (by Nate)


2005-04-06
  New:
    - HRC regexp fixes
    - External xml entities now has a .xml extension.
    - PHP/JSP/ASP inlining fixes.
    - Perl minor fixes.
    - AVR and 8051 Assemblers (by Igor Yudincev).


2004-09-27

  New:
    - SVG 1.0, PostScript, htc, parser, rdf, rss, xbl (Eugene Efremov)
    - JavaCC (Giulio Piancastelli)
    - Common packages regrouping
    - Basic ColdFusion support

  Fixes:
    - Lisp fixes, outline (Mykolas Juraitis)
    - FAR manager and Common RE schemes (Eugene Efremov)
    - Sh, def, PHP, C, Perl fixes (Eugene Efremov)
    - PHP functions regrouping (Alexey Kupershtokh)
    - xhtml improvements (Eugene Efremov)


2003-09-12

  New:
    - JSP TagLib, OCaml, Sicstus Prolog
    - ESC.xml (Eugene Efremov)
  Fixes:
    - SML, ada, modula2
    - Perl/HRC RE, php, html, css (Eugene Efremov)
    - Tex


2003-06-02

  Reorg:
    - Rare scripts were moved into the 'auto' directory

  New:
    - ActionScript by Ralf Bokelberg
    - Quorum Atlantis by Vladimir Fonarev
    - MathML2.0 from draft xsd
    - CSS2 support
    - ANT 1.51 build.xml
    - Ruby syntax

  Fixes:
    - VBasic/VBScript outlining by LeO Welsch
    - HTML, PHP outline
    - sqlj, IDL, CPP, diff
    - VMS is renamed into DCL
    - C/C++, css, php (Eugene Efremov)
    - z80asm/asm80 fix
